| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
ContextIncident< T > Class Template Reference

`#include <GaudiKernel/DataIncident.h>`

Inheritance diagram for ContextIncident< T >:
[legend]
Collaboration diagram for ContextIncident< T >:
[legend]

## Public Member Functions
| ContextIncident (std::string src, std::string typ, T tag)
| Initializing Constructor. More...
| ~ContextIncident () override=default
| Standard destructor. More...
const T & | tag () const
| Accesssor to the tag value (CONST) More...
Public Member Functions inherited from Incident
| Incident (const std::string &source, const std::string &type)
| Default Constructor. More...
| Incident (const std::string &source, const std::string &type, const EventContext &ctx)
virtual | ~Incident ()=default
| Destructor. More...
const std::string & | type () const
| Access to the incident type. More...
const std::string & | source () const
| Access to the source of the incident. More...
EventContext | context () const
| Access to the EventContext of the source of the incident. More...

## Private Attributes
T | m_tag

## Detailed Description

### template<class T>
class ContextIncident< T >

Definition at line 16 of file DataIncident.h.

## Constructor & Destructor Documentation

template<class T >

ContextIncident< T >::ContextIncident | ( | std::string | src,
|  | std::string | typ,
|  | T | tag
| ) |  |
| inline

Initializing Constructor.

Parameters

  source | [IN] Incident source (service or algorithm name)
  type | [IN] Incident type
  tag | [IN] Incident tag

Returns
  Reference to ContextIncident object.

Definition at line 28 of file DataIncident.h.

29 : Incident( std::move( src ), std::move( typ ) ), m_tag( std::move( tag ) )
30 {
31 }
ContextIncident::m_tag
T m_tag
Definition: DataIncident.h:18
std::move
T move(T...args)
Incident::Incident
Incident(const std::string &source, const std::string &type)
Default Constructor.
Definition: Incident.cpp:5
ContextIncident::tag
const T & tag() const
Accesssor to the tag value (CONST)
Definition: DataIncident.h:37
template<class T >

ContextIncident< T >::~ContextIncident | ( |  | ) |
| override default

Standard destructor.

## Member Function Documentation

template<class T >

const T& ContextIncident< T >::tag | ( |  | ) | const
| inline

Accesssor to the tag value (CONST)

Definition at line 37 of file DataIncident.h.

37 { return m_tag; }
ContextIncident::m_tag
T m_tag
Definition: DataIncident.h:18

## Member Data Documentation

template<class T >

T ContextIncident< T >::m_tag
| private

Definition at line 18 of file DataIncident.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/DataIncident.h